package jp.sourceforge.orangesignal.ta.dataset.loader;

import static org.hamcrest.core.Is.is;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertThat;
import jp.sourceforge.orangesignal.ta.dataset.TimeSeriesDataset;
import jp.sourceforge.orangesignal.ta.dataset.TimeSeriesDataset.Interval;

import org.junit.Test;


public class DatasetLoadEventTest {

	@Test
	public void test() {
		final TimeSeriesDataset dataset = new TimeSeriesDataset(Interval.DAILY, new OHLCV[]{});
		final DatasetLoadEvent event = new DatasetLoadEvent(this, dataset);
		assertEquals(event.getSource(), this);
		assertThat(event.getDataset(), is(dataset));
	}

}
